| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
DataSourceTab Class Reference

A tab widget that manages and displays different data sources for a packet (e.g., Hex, Text). More...

`#include <data_source_tab.h>`

Inheritance diagram for DataSourceTab:

## Public Slots
void | setCaptureFile (capture_file *cf)
| Set the capture file.
void | selectedFrameChanged (QList< int > frames)
| Creates the tabs and data, depends on a dissection which has already run.
void | selectedFieldChanged (FieldInformation *field)
| Selects or marks a field in the view based on the tree selection.
void | highlightedFieldChanged (FieldInformation *field)
| Highlights a field in the view based on tree hover state.
void | captureFileClosing (void)
| Slot triggered when the underlying capture file is closing.

## Signals
void | fieldSelected (FieldInformation *field)
| Signal emitted when a field is selected within the view.
void | fieldHighlight (FieldInformation *field)
| Signal emitted when a field is highlighted (hovered) within the view.
void | byteViewSettingsChanged (void)
| Signal emitted when byte view settings have been modified.
void | byteViewUnmarkField (void)
| Signal emitted to request unmarking a field in the byte view.
void | detachData (void)
| Signal emitted to request detaching the current data view into a new window.

## Public Member Functions
| DataSourceTab (QWidget *parent=0, epan_dissect_t *edt_fixed=0)
| Constructs a new DataSourceTab.

## Protected Member Functions
void | tabInserted (int tab_index) override
| Called when a new tab is inserted.
void | tabRemoved (int tab_index) override
| Called when a tab is removed.

## Detailed Description

A tab widget that manages and displays different data sources for a packet (e.g., Hex, Text).

## Constructor & Destructor Documentation

## ◆ DataSourceTab()

DataSourceTab::DataSourceTab | ( | QWidget * | parent = 0,
|  | epan_dissect_t * | edt_fixed = 0 )
| explicit

Constructs a new DataSourceTab.

Parameters

  parent | The parent widget, defaults to 0.
  edt_fixed | Fixed epan_dissect data for a specific packet dialog context, defaults to 0.

## Member Function Documentation

## ◆ fieldHighlight

void DataSourceTab::fieldHighlight | ( | FieldInformation * | field | ) |
| signal

Signal emitted when a field is highlighted (hovered) within the view.

Parameters

  field | Pointer to the highlighted field information.

## ◆ fieldSelected

void DataSourceTab::fieldSelected | ( | FieldInformation * | field | ) |
| signal

Signal emitted when a field is selected within the view.

Parameters

  field | Pointer to the selected field information.

## ◆ highlightedFieldChanged

void DataSourceTab::highlightedFieldChanged | ( | FieldInformation * | field | ) |
| slot

Highlights a field in the view based on tree hover state.

Parameters

  field | Pointer to the field information.

## ◆ selectedFieldChanged

void DataSourceTab::selectedFieldChanged | ( | FieldInformation * | field | ) |
| slot

Selects or marks a field in the view based on the tree selection.

Parameters

  field | Pointer to the field information.

## ◆ selectedFrameChanged

void DataSourceTab::selectedFrameChanged | ( | QList< int > | frames | ) |
| slot

Creates the tabs and data, depends on a dissection which has already run.

Parameters

  frames | List of frame numbers indicating the selection change.

## ◆ setCaptureFile

void DataSourceTab::setCaptureFile | ( | capture_file * | cf | ) |
| slot

Set the capture file.

Parameters

  cf | Pointer to the capture file structure.

## ◆ tabInserted()

void DataSourceTab::tabInserted | ( | int | tab_index | ) |
| override protected

Called when a new tab is inserted.

Parameters

  tab_index | The index of the new tab.

## ◆ tabRemoved()

void DataSourceTab::tabRemoved | ( | int | tab_index | ) |
| override protected

Called when a tab is removed.

Parameters

  tab_index | The index of the removed tab.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/data_source_tab.h
- /builds/wireshark/wireshark/ui/qt/data_source_tab.cpp